Cancel Submission
You can use this request on a submission object record that has a Submissions Archive Status (archive_status__v) of:
| Name | Description |
|---|---|
IMPORT_IN_PROGRESS | This will terminate the import job and set the archive_status__v field on the submission__v object record to "Error". The submission must be removed before a re-import can be done. See Remove Submission above. |
REMOVAL_IN_PROGRESS | This will terminate the import removal job and set the archive_status__v field on the submission__v object record to "Error". The submission must be removed before a re-import can be done. See Remove Submission above. |
IMPORT_IN_QUEUE | This will remove the import from the job queue and set the archive_status__v field on the submission__v object record to "Null". See Import Submission above. |
REMOVAL_IN_QUEUE | This will remove the import removal from the job queue and set the archive_status__v field on the submission__v object record to "Error". See Import Submission above. |
To retrieve the archive_status__v, GET /api/{version}/vobjects/submission__v/{submission_id}. See Retrieve Object Record above.
POST
/api/{version}/vobjects/submission__v/{submission_id}/actions/import?cancel=trueHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{submission_id} | The id field value of the submission__v object record. See Retrieve Object Record Collection above. |
Query Parameters
Section link for Query ParametersRequest
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v23.1/vobjects/submission__v/00S000000000101/actions/import?cancel=trueResponse
Section link for Response{
"responseStatus": "SUCCESS"
}